# conf: ice-gnome

## 配置

1. Build Configuration

```bash
Build Configuration:
BB_VERSION           = "1.48.0"
BUILD_SYS            = "x86_64-linux"
NATIVELSBSTRING      = "ubuntu-18.04"
TARGET_SYS           = "riscv64-oe-linux"
MACHINE              = "ice"
DISTRO               = "nodistro"
DISTRO_VERSION       = "nodistro.0"
TUNE_FEATURES        = "riscv64"
EXTERNAL_TOOLCHAIN   = "/root/.thead/host"
EXTERNAL_TARGET_SYS  = "riscv64-linux"
GCC_VERSION          = "8.1.0"
meta                 = "HEAD:5a3e40720c904174e17a237e652d844cf932f12b"
meta-oe
meta-python
meta-multimedia
meta-networking      = "HEAD:5eb029d9201c1a9ef893343c9ad9e33276f949f4"
meta-external-toolchain = "HEAD:f9d1b7a1ec75241c0d61bd9c29a28048e6376ef8"
meta-riscv           = "HEAD:7d22565122cc58a80bc74cf8937b3b46499c24ce"
meta-gnome
meta-filesystems
meta-webserver       = "HEAD:5eb029d9201c1a9ef893343c9ad9e33276f949f4"
```

2. bitbake-layers show-layers

```bash
layer                    path                                      priority
===========================================================================
meta                     ${YOCTOROOT}/openembedded-core/meta              5
meta-oe                  ${YOCTOROOT}/meta-openembedded/meta-oe           6
meta-python              ${YOCTOROOT}/meta-openembedded/meta-python       7
meta-multimedia          ${YOCTOROOT}/meta-openembedded/meta-multimedia   6
meta-networking          ${YOCTOROOT}/meta-openembedded/meta-networking   5
meta-external-toolchain  ${YOCTOROOT}/meta-external-toolchain             1
meta-riscv               ${YOCTOROOT}/meta-riscv                          6
meta-gnome               ${YOCTOROOT}/meta-openembedded/meta-gnome        7
meta-xfce                ${YOCTOROOT}/meta-openembedded/meta-xfce         7
meta-filesystems         ${YOCTOROOT}/meta-openembedded/meta-filesystems  6
meta-webserver           ${YOCTOROOT}/meta-openembedded/meta-webserver    6
```

## 镜像

包含所有 `ice-base` 镜像。

| meta layer                                             | images                      | build | check | memo |
|:-------------------------------------------------------|:----------------------------|:-----:|:-----:|:-----|
| meta-openembedded/meta-xfce/recipes-core               | core-image-minimal-xfce     |  OK   |       |      |
| meta-openembedded/meta-filesystems/recipes-filesystems | meta-filesystems-image-base |  OK   |       |      |
| meta-openembedded/meta-webserver/recipes-core          | meta-webserver-image-base   |  OK   |       |      |


## 未使用 layer 包含的镜像

| meta layer                                       | images                      | build | check | memo |
|:-------------------------------------------------|:----------------------------|:-----:|:-----:|:-----|
| openembedded-core/meta-selftest/recipes-test     | wic-image-minimal           |       |       |      |
| openembedded-core/meta-skeleton/recipes-multilib | core-image-multilib-example |       |       |      |
